package intro2java;
import robocode.*;

/**
 * Alter the above robot so that it incorporates an if statement 
 * such that it travels first clockwise and then anti-clockwise 
 * (hint: x % 2 == 0 for even numbers of x, and turnRight and turnLeft 
 * can accept negative degrees). Also have the robot print out whether 
 * its currently travelling clockwise or anti-clockwise.
 */
public class Exercise1_7 extends Robot
{
    public final static int LENGTH_OF_SQUARE = 150;

	public void run() {
		int squares = 0;
		while(true) {
			for (int i=0; i < 4; i++)
			{
				ahead(LENGTH_OF_SQUARE);
				if (squares % 2 == 0)
				{					
					out.println("Moving clockwise");					
					turnRight(90);
				}
				else
				{
					out.println("Moving anti-clockwise");										
					turnLeft(90);
				}	
			}	
			squares++;		
			out.println("Square number: " + squares);			
		}
	}

}
