package intro2java;
import robocode.*;

/**
 * Add another new method called doCorner. Change moveInSquare so 
 * that it calls doCorner rather than explicitly turnRight or turnLeft. 
 * Make the implementation of doCorner carry out several steps:
 * a. Check a new boolean attribute called clockwise that indicates 
 *    whether the robot should turn clockwise or anti-clockwise.
 * b. Rotate the robots gun 360 degrees
 */
public class Exercise2_3 extends Robot
{
    public final static int LENGTH_OF_SQUARE = 150;
	
	private int _numberOfSquares = 0;
	private boolean _clockwise = true;
	
	public void run() {
		while(true) {
			moveInSquare(LENGTH_OF_SQUARE);
			out.println("Square number: " + _numberOfSquares);				
		}		
	}

	private void moveInSquare(int lengthOfSide)
	{
		for (int i=0; i < 4; i++)
		{
			ahead(lengthOfSide);
			doCorner();
		}						
		_numberOfSquares++;		
	}	
	
	private void doCorner()
	{
		if (_clockwise)
		{
			turnRight(90);
		}
		else
		{
			turnLeft(90);
		}
		turnGunRight(360);
	}
}
	