package intro2java;
import robocode.*;

/**
 * Create a robot with an onScannedRobot method. Consult the documentation 
 * for the parameters and return types of the method. Implement the 
 * method to do something useful when it receives the event, e.g:
 * a) Write out the name of the robot youve seen, its 
 *    current energy, and its distance
 * b) Fire on it!
 *
 * Note: this extends the previous exercise so that its got all the 
 * other behaviour. It just adds this one extra event handler
 */
public class Exercise3_1 extends Exercise2_4
{
	public void onScannedRobot(ScannedRobotEvent event)
	{
		out.println("I've seen " + event.getName() + 
					" who is " + event.getDistance() + " units away " +
					" and has " + event.getEnergy() + " energy" );
		out.println("Firing...");
		fire(1);
	}
}

